Subject: cmuxu'i, selratni, and other kinds of elements

From: Pierre Abbat <[email-masked]>
Date: Sat, 3 Mar 2001 21:12:28 -0500

Not knowing about "selratni", I made up "cmuxu'i" for chemical element, and used
"jicmu" in the names of a few of them: jicmrboro, cancmu, sackycmu, lurcmu,
tedjicmu. Is that a good root word for them? Is there a better?

What should we call other kinds of elements, such as the Chinese elements, the
four elements of the ancients, or Euclid's Elements?

phma